<?php
use Bitrix\Main\Localization\Loc;
use	Bitrix\Main\HttpApplication;
use Bitrix\Main\Loader;
use Bitrix\Main\Config\Option;

\Bitrix\Main\Loader::includeModule('sale');
Loc::loadMessages(__FILE__);

$request = HttpApplication::getInstance()->getContext()->getRequest();

$module_id = htmlspecialcharsbx($request["mid"] != "" ? $request["mid"] : $request["id"]);

Loader::includeModule($module_id);


$arAllOptions[] = Loc::getMessage("EMT_EMAILTOOLS_OPTIONS_TAB_COMMON");
$arAllOptions[] = ['api_key', Loc::getMessage('EMT_EMAILTOOLS_OPTIONS_API_KEY'), '', ['text', 20]];
$arAllOptions[] = ['load_jquery', Loc::getMessage('EMT_EMAILTOOLS_OPTIONS_LOAD_JQUERY'), '', ['checkbox', 'Y']];
$rsPaySystem = \Bitrix\Sale\Internals\PaySystemActionTable::getList();
$multiselectboxValues = [];
while($arPaySystem = $rsPaySystem->fetch())
{
	$multiselectboxValues[$arPaySystem['ID']] = $arPaySystem['NAME'];
}


$arAllOptions[] = [
	'payment_systems',
	Loc::getMessage("EMT_EMAILTOOLS_OPTIONS_PAYMENT_SYSTEMS"),
	'', 
	['multiselectbox', $multiselectboxValues]
];


$aTabs = array(
	array(
		"DIV" 	  => "edit",
		"TAB" 	  => Loc::getMessage("EMT_EMAILTOOLS_OPTIONS_TAB_NAME"),
		"TITLE"   => Loc::getMessage("EMT_EMAILTOOLS_OPTIONS_TAB_NAME"),
		"OPTIONS" => $arAllOptions,
	)
);
if($request->isPost() && check_bitrix_sessid()){

	foreach($aTabs as $aTab){

		foreach($aTab["OPTIONS"] as $arOption){

			if(!is_array($arOption)){

				continue;
			}

			if($arOption["note"]){

				continue;
			}

			if($request["apply"]){

				$optionValue = $request->getPost($arOption[0]);

				if($arOption[0] == "switch_on"){

					if($optionValue == ""){

						$optionValue = "N";
					}
				}

				Option::set($module_id, $arOption[0], is_array($optionValue) ? implode(",", $optionValue) : $optionValue);
			}elseif($request["default"]){

				Option::set($module_id, $arOption[0], $arOption[2]);
			}
		}
	}

	LocalRedirect($APPLICATION->GetCurPage()."?mid=".$module_id."&lang=".LANG);
}
$tabControl = new CAdminTabControl(
	"tabControl",
	$aTabs
);

$tabControl->Begin();
?>
<form action="<? echo($APPLICATION->GetCurPage()); ?>?mid=<? echo($module_id); ?>&lang=<? echo(LANG); ?>" method="post">

	<?
	foreach($aTabs as $aTab){

		if($aTab["OPTIONS"]){

			$tabControl->BeginNextTab();

			__AdmSettingsDrawList($module_id, $aTab["OPTIONS"]);
		}
	}

	$tabControl->Buttons();
	?>

	<input type="submit" name="apply" value="<? echo(Loc::GetMessage("EMT_EMAILTOOLS_OPTIONS_INPUT_APPLY")); ?>" class="adm-btn-save" />
	<input type="submit" name="default" value="<? echo(Loc::GetMessage("EMT_EMAILTOOLS_OPTIONS_INPUT_DEFAULT")); ?>" />
	<?
	echo(bitrix_sessid_post());
	?>

</form>
<?php $tabControl->End();